2. Check the result
2.1. Search - Check the result of the data crawling
GET
https://popbill-test.linkhub.co.kr/HomeTax/Cashbill/{jobID}
GET
https://popbill.linkhub.co.kr/HomeTax/Cashbill/{jobID}
- This API checks the crawled sales/purchase cash receipts with an active JobID request that is validated via [GetJobState – Check the data crawling status] API.
- We recommend to use this API when a user implements the list of e-Tax invoices with items related to the page (variables : Page, perPage, Order).
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| jobID | string | 18 | Y |
Request ID(JobID)
returned value of [RequestJob - Request for data crawling] API
|
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TradeUsage | string | - | N |
Purpose of issuance (multiple choice is possible)
Pincome deduction usage
Cproof of purchase usage
Separate with a comma(',') for multiple selections. e.g. P,C
search all if not entered
|
|
| TradeType | string | - | N |
Type of cash receipt (multiple choice is possible)
Ngeneral cash receipt
Ccash receipt for revocation
Separate with a comma(',') for multiple selections. e.g. N,C
search all if not entered
|
|
| Page | number | - | N |
Page number of a list of cash receipts.
default : 1
|
|
| PerPage | number | - | N |
The number of list to be displayed per page
maximum : 1,000
default : 500
|
|
| Order | string | 1 | N |
Sort order related to the value of {DType}
Ddescending (default)
Aascending
|
Request Example
curl --request GET \
--url 'https://{domain}/HomeTax/Cashbill/{jobID}?TradeUsage={TradeUsage}&TradeType={TradeType}&Page={Page}&PerPage={PerPage}&Order={Order}' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | number | - |
API response code
1Success
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| total | number | - | Total number of search results | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| perPage | number | - | Number of items per page | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pageNum | number | - | Page number | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pageCount | number | - | Number of pages | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| list | array | - |
Summarized information of cash receipts
maximum : 1,000 cash receipts
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Response Example
{
"code": 1,
"total": 1,
"perPage": 500,
"pageNum": 1,
"pageCount": 1,
"list": [
{
"invoiceType": "매출",
"ntsconfirmNum": "Z55904818",
"tradeDate": "20250507",
"tradeDT": "20250507102940",
"tradeUsage": "지출증빙용",
"tradeType": "취소거래",
"supplyCost": "910",
"tax": "90",
"serviceFee": "0",
"totalAmount": "1000",
"franchiseCorpNum": "6798700433",
"franchiseCorpType": 0,
"identityNumType": 1,
"identityNum": "3713",
"customerName": "정요한",
"deductionType": 0
}
],
"message": "확인완료"
}
2.2. Summary - Check the summarized information for the data crawling result
GET
https://popbill-test.linkhub.co.kr/HomeTax/Cashbill/{jobID}/Summary
GET
https://popbill.linkhub.co.kr/HomeTax/Cashbill/{jobID}/Summary
Provides the total information of the details of cash receipt Purchases/Sales collected from Hometax. ※ Total information - Collection count, sum of Supply Cost, sum of tax / V.A.T, sum of service fee, sum of trade amount (sum of Supply Cost + sum of tax / V.A.T + sum of service fee)
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| jobID | string | 18 | Y |
Request ID(JobID)
returned value of [RequestJob - Request for data crawling] API
|
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TradeUsage | string | - | N |
Purpose of issuance (multiple choice is possible)
Pincome deduction usage
Cproof of purchase usage
Separate with a comma(',') for multiple selections. e.g. P,C
search all if not entered
|
|
| TradeType | string | - | N |
Type of cash receipt (multiple choice is possible)
Ngeneral cash receipt
Ccash receipt for revocation
Separate with a comma(',') for multiple selections. e.g. N,C
search all if not entered
|
Request Example
curl --request GET \
--url 'https://{domain}/HomeTax/Cashbill/{jobID}/Summary?TradeUsage={TradeUsage}&TradeType={TradeType}' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| count | number | - | Number of crawled data | |
| supplyCostTotal | number | 18 | Sum of supply values | |
| taxTotal | number | 18 | Sum of tax amount | |
| serviceFeeTotal | number | 18 | Total Service Fee | |
| amountTotal | number | 18 | Total Trade amount (Total Supply Cost + Total tax + Total Service Fee) |
Response Example
{
"count": 2,
"supplyCostTotal": 1820,
"taxTotal": 180,
"serviceFeeTotal": 0,
"amountTotal": 2000
}
